​

Update checklist item

PATCH
https://example.kaiten.ru/api/latest/checklists/{checklist_id}/items/{id}
Path parameters
NameTypeReference
checklist_idrequiredintegerCard CheckList ID
idrequiredintegerChecklist Item ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
text
string | null
maxLength: 4096
Content of item
sort_order
number
exclusiveMinimum: 0

Position

checklist_id
integer

ID of new checklist

checked
boolean

State

due_date
string | null
Due date of checklist item in format YYYY-MM-DD, for example 2025-12-24
responsible_id
number

Responsible user id

null

Remove responsible user

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Card checklist item id
text

string

Checklist item text
sort_order

number

Position
checked

boolean

Flag indicating that checklist item checked
checker_id

null | integer

User id who checked checklist item
user_id

integer

Current user id
checked_at

null | string

Date of check
responsible_id

null | integer

User id who is responsible for checklist item
deleted

boolean

Flag indicating that checklist item deleted
due_date

null | string

checklist item deadline
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/checklists/{checklist_id}/items/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!